Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.spi
Interface LoggerContextFactory

All Known Implementing Classes:
  SimpleLoggerContextFactory

    public interface LoggerContextFactory

Implemented by factories that create `LoggerContext` objects.

Method Summary
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext)` Creates a `LoggerContext`.
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext, URI configLocation, String name)` Creates a `LoggerContext`.
`void` | `removeContext(LoggerContext context)` Removes knowledge of a LoggerContext.

Method Detail

### getContext

    LoggerContext getContext(String fqcn,
                             ClassLoader loader,
                             Object externalContext,
                             boolean currentContext)

  Creates a `LoggerContext`.

  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - The ClassLoader to use or null.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
    `externalContext` - An external context (such as a ServletContext) to be associated with the LoggerContext.
  Returns:
    The LoggerContext.

### getContext

    LoggerContext getContext(String fqcn,
                             ClassLoader loader,
                             Object externalContext,
                             boolean currentContext,
                             URI configLocation,
                             String name)

  Creates a `LoggerContext`.

  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - The ClassLoader to use or null.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
    `configLocation` - The location of the configuration for the LoggerContext.
    `externalContext` - An external context (such as a ServletContext) to be associated with the LoggerContext.
    `name` - The name of the context or null.
  Returns:
    The LoggerContext.

### removeContext

    void removeContext(LoggerContext context)

  Removes knowledge of a LoggerContext.

  Parameters:
    `context` - The context to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.